import { Extension } from 'resource:///org/gnome/shell/extensions/extension.js';

export default class HDREnabler extends Extension {
    enable() {
        // This is the command you normally run manually.
        global.context.get_debug_control().enable_hdr = true;
        console.log("HDR has been enabled automatically.");
    }

    disable() {
        global.context.get_debug_control().enable_hdr = false;
        console.log("HDR has been disabled automatically.");
    }
}